(function( $ ) {
	'use strict';

	$(function() {
		var wb_tab=
		{
			tab_single_html:'',
			no_tabs_html:'',
			title_max:50,
			Set:function()
			{
				this.tab_title();
				this.add_new();
				this.remove_tab();
				this.edit_tab();
				this.reg_popup_close();
			},
			tab_title:function()
			{
				jQuery(document).on('paste keyup change', '.wb_tab_title_input', function(e){
					var vl=$.trim($(this).val());
					if(vl.length>wb_tab.title_max)
					{ 
						vl=vl.substr(0, wb_tab.title_max); 
						$(this).val(vl);
						$(this).siblings('.wb_tab_er').text("Maximum "+wb_tab.title_max+" characters allowed for tab title.");
					}else
					{
						$(this).siblings('.wb_tab_er').text('');
					}
				});
			},
			add_new:function()
			{
				$('.wb_tab_addnew_btn').click(function(){
					wb_tab.store_single_tab_html();
					if($('.wb_tab_panel_local').length>0)
					{
						$('.wb_tab_panel_local:last').after(wb_tab.tab_single_html);
					}else
					{
						$('.wb_tab_main_inner').prepend(wb_tab.tab_single_html);
					}
					$('.wb_no_tabs').remove();
					wb_tab.process_tabs();
				});
			},
			edit_tab:function()
			{
				$(document).on('click', '.wb_tab_panel .wb_tab_panel_edit', function(e){ 
					e.stopPropagation();
					if(e.target.className=='wb_tab_panel_edit' || e.target.className=='dashicons dashicons-edit')
					{
						wb_tab.popup_open();					
						wb_tab.set_content_to_edit_form($(this));
					}
				});
				$('.wb_tab_done_btn').unbind('click').click(function(){
					wb_tab.popup_close();
					wb_tab.set_content_to_main_form();
				});
			},
			update_tab_head:function(current_tab, vl)
			{
				var hd_elm=current_tab.find('.wb_tab_panel_hd_txt');
				hd_elm.text(vl);
			},
			set_content_to_main_form:function()
			{
				var elm=$('.wb_tab_done_btn').data('target-tab');
				if(elm!==null)
				{
					var current_tab=elm.parents('.wb_tab_panel');
					var tab_title=$('[name="wb_tab_title"]').val();
					var tab_position=$('[name="wb_tab_position"]').val();
					current_tab.find('.wb_tab_title_input').val(tab_title);
					current_tab.find('.wb_tab_position_input').val(tab_position);

					var tab_content='';
					if(typeof tinyMCE!="undefined")
					{
						var activeEditor=tinyMCE.get('wb_tab_editor');
						if(activeEditor!=null)
						{
							tab_content=activeEditor.getContent();
						}
					}
					current_tab.find('.wb_tab_content_input').val(tab_content);
					$('.wb_tab_done_btn').data('target-tab', null);
					wb_tab.update_tab_head(current_tab, tab_title);
				}			
			},
			set_content_to_edit_form:function(elm)
			{
				var current_tab=elm.parents('.wb_tab_panel');
				var tab_title=current_tab.find('.wb_tab_title_input').val();
				var tab_position=current_tab.find('.wb_tab_position_input').val();
				$('[name="wb_tab_title"]').val(tab_title);
				$('[name="wb_tab_position"]').val(tab_position);

				var tab_content=current_tab.find('.wb_tab_content_input').val();
				if(typeof tinyMCE!="undefined")
				{
					var activeEditor=tinyMCE.get('wb_tab_editor');
					if(activeEditor!=null)
					{
						activeEditor.setContent(tab_content);
					}
				}

				$('.wb_tab_done_btn').data('target-tab', elm);
			},
			popup_open:function()
			{
				$('.wb_tab_popup, .wb_tab_popup_overlay').css({'opacity':0, 'display':'block'}).animate({'opacity':1});
			},
			popup_close:function()
			{
				$('.wb_tab_popup, .wb_tab_popup_overlay').hide();
			},
			reg_popup_close:function()
			{
				$('.wb_tab_popup_close, .wb_tab_cancel_btn').click(function(){
					wb_tab.popup_close();
				});
			},
			remove_tab:function()
			{
				$(document).on('click', '.wb_tab_panel .wb_tab_panel_delete', function(e){ 
					e.stopPropagation();
					if(e.target.className=='wb_tab_panel_delete' || e.target.className=='dashicons dashicons-trash')
					{ 
						if(confirm(wb_custom_tabs_params.msgs.sure))
						{
							$(this).parents('.wb_tab_panel').remove();
							if($('.wb_tab_main_inner .wb_tab_panel').length==0)
							{
								$('.wb_tab_main_inner').html(wb_tab.no_tabs_html);
							}else
							{
								wb_tab.process_tabs();
							}
						}
					}
				});
			},
			store_single_tab_html:function()
			{
				if(this.tab_single_html=='')
				{ 
					if($('.wb_no_tabs').length>0) /* no tab exists */
					{
						this.no_tabs_html=$('.wb_no_tabs:eq(0)')[0].outerHTML;
					}

					if($('.wb_tab_default').length>0) /* no local tab exists */
					{
						this.tab_single_html=$('.wb_tab_default').html();
						$('.wb_tab_default').remove();
					}else
					{
						this.tab_single_html=$('.wb_tab_main_inner .wb_tab_panel_local:eq(0)')[0].outerHTML;	
					}
					this.cleanup_single_tab_html();
				}	
			},
			cleanup_single_tab_html:function()
			{
				var temp_dom=$('<div />').html(this.tab_single_html);
				temp_dom.find('.wb_tab_panel_hd_txt').html(wb_custom_tabs_params.msgs.untitled);
				temp_dom.find('.wb_tabpanel_txt').attr('value', wb_custom_tabs_params.msgs.untitled);
				temp_dom.find('.wb_tabpanel_txtarea').html('');
				temp_dom.removeAttr('data-disabled');
				this.tab_single_html=temp_dom.html();
			},
			process_tabs:function()
			{
				var inc=0;
				$('.wb_tab_main_inner .wb_tab_panel').each(function(){
					$(this).find('.wb_tab_title_input').attr('name','wb_tab['+inc+'][title]');
					$(this).find('.wb_tab_position_input').attr('name','wb_tab['+inc+'][position]');
					$(this).find('.wb_tab_content_input').attr('name','wb_tab['+inc+'][content]');
					inc++;
				});
			}
		}
		wb_tab.Set();
		
	});

})( jQuery );