<?php
if (!defined('ABSPATH')) {
	exit;
}
?>
<div class="wb_tab_popup_overlay"></div>
<div class="wb_tab_popup">
	<div class="wb_tab_popup_hd">		
		<span class="wb_tab_popup_hd_txt">
			<span class="dashicons dashicons-edit"></span>
			<?php _e('Edit');?>
		</span>
		<span class="wb_tab_popup_close" title="<?php _e('Close');?>">
			<span class="dashicons dashicons-dismiss"></span>
		</span>
	</div>
	<div class="wb_tab_popup_content">
		<div class="wb_tab_panel_frmgrp">
			<label><?php _e('Tab title');?><span class="woocommerce-help-tip" data-tip="<?php _e('Title for tab'); ?>"></span></label>
			<input type="text" name="wb_tab_title" class="wb_tabpanel_txt wb_tab_title_input" placeholder="<?php _e('Title for tab'); ?>" value="">
			<div class="wb_tab_er"></div>
		</div>
		<div class="wb_tab_panel_frmgrp">
			<label><?php _e('Tab content');?><span class="woocommerce-help-tip" data-tip="<?php _e('Content for tab'); ?>"></span></label>
			<?php wp_editor('','wb_tab_editor',array(
					'editor_class'=>'wb_tab_rte',
					'editor_height'=>150,
					'textarea_rows'=>4,
					'tinymce' => array(
				        'height' =>150,
				    )
				) 
			); 
			?>
		</div>
		<div class="wb_tab_panel_frmgrp">
			<label><?php _e('Tab position');?><span class="woocommerce-help-tip" data-tip="<?php _e('Tab position'); ?>"></span></label>
			<input type="number" min="0" step="1" name="wb_tab_position" class="wb_tabpanel_txt wb_tab_position_input" placeholder="<?php _e('Tab position'); ?>" value="">
			<div class="wb_tab_er"></div>
		</div>
		<div class="wb_tab_panel_frmgrp">
			<button class="button button-primary wb_tab_done_btn" type="button"><?php _e('Done');?></button>
			<button class="button button-secondary wb_tab_cancel_btn" type="button"><?php _e('Cancel');?></button>
		</div>	
	</div>
</div>

<div id='wb_custom_tabs' class='panel woocommerce_options_panel'>
	<div class="options_group">
		<div class="wb_tab_main_hd">
			<span class="wb_tab_main_hd_inner"><?php _e('Custom tabs'); ?></span>
			<p class="wb_tab_addnew_btn_container"><button class="button button-primary wb_tab_addnew_btn" type="button"><span class="dashicons dashicons-plus-alt" style="margin-top:7px; font-size:14px;"></span> <?php _e('Add new tab');?></button></p>
		</div>
		<div class="wb_tab_main_inner">
			<?php
			$local_tabs_total=0;
			if($tabs)
			{
				foreach($tabs as $key=>$tab)
				{
					$tab_title=$tab['title'];
					$tab_content=$tab['content'];
					$tab_type=$tab['tab_type'];
					$position=$tab['position'];
					$tab_id=isset($tab['tab_id']) ? $tab['tab_id'] : 0;
					if($tab_type=='local')
					{
						$local_tabs_total++;
					}
					include "_tab_single.php";
				}
			}else
			{
				?>
				<div class="wb_no_tabs">
					<div class="wb_no_tabs_inner">
						<span class="wb_no_tabs_icon">!</span> <br />
						<?php _e('No tabs');?>
					</div>
				</div>
				<?php
			}
			if($local_tabs_total==0)
			{
				?>
				<div class="wb_tab_default">
					<?php
					$tab_title='';
					$tab_content='';
					$tab_type='local';
					$position=20;
					$tab_id=0;
					$key=0;
					include "_tab_single.php";
					?>
				</div>
				<?php
			}
			?>
		</div>
	</div>
</div>